| Home | Libraries | People | FAQ | More

#### mutable_buffers_1::value_type

The type for each element in the list of buffers.

    typedef mutable_buffer value_type;

###### Member Functions

Name | Description
--- | ---
mutable_buffer | Construct an empty buffer. Construct a buffer to represent a given memory range.

###### Related Functions

Name | Description
--- | ---
buffer_cast | Cast a non-modifiable buffer to a specified pointer to POD type.
buffer_size | Get the number of bytes in a non-modifiable buffer.
operator+ | Create a new modifiable buffer that is offset from the start of another.

The `mutable_buffer` class provides a safe representation of a buffer that can be modified. It does not own the underlying data, and so is cheap to copy or assign.

###### Requirements

Header: `boost/asio/buffer.hpp`

Convenience header: `boost/asio.hpp`